define(['require', 'app'],
    function(require, APP) {
        /**
         * Controller for FichaEmpresa generated by Appery.io
         * @module FichaEmpresa
         */
        APP.controller('FichaEmpresa', ['$scope', 'Apperyio', controller]);

        function controller($scope, Apperyio) {
            /**
             * user controller variables
             */
            /**
             * User controller functions
             */
            /**
             * @function init
             */
            $scope.init = function() {
                //On load screen logic
                $scope.empresa = JSON.parse(localStorage.getItem("companyData"));
            };
            /**
             * @function actualizaDatosEmpresa
             */
            $scope.actualizaDatosEmpresa = function() {
                $scope.showLoading("Actualizando Datos...", 0);
                var requestData = {};
                requestData = (function mapping3419($scope) {
                    var requestData = {};
                    requestData.params = {};
                    requestData.data = {};
                    var id_scope = $scope.id;
                    var correo_scope = $scope.correo;
                    requestData.params._id = $scope.empresa._id;
                    _.set(requestData.data, 'dirCliente', $scope.empresa.dirCliente);
                    _.set(requestData.data, 'nombreCliente', $scope.empresa.nombreCliente);
                    _.set(requestData.data, 'telefonoCliente', $scope.empresa.telefonoCliente);
                    _.set(requestData.data, 'emailCliente', $scope.empresa.emailCliente);
                    //_.set(requestData.data, 'clienteLogo', $scope.empresa.emailNotificaciones);
                    _.set(requestData.data, 'emailNotificaciones', $scope.empresa.emailNotificaciones);
                    return requestData;
                    /*|button_mapping|onbeforesend|AF904D75-BA55-DB6A-122D-62325E9FD83C||3419|*/
                })($scope);
                // read more about using rest services: https://links.appery.io/ve-snippet-rest
                Apperyio.get("Tech1_CLIENT_update_service")(requestData).then( /*|service_bookmark|bookmark|AF904D75-BA55-DB6A-122D-62325E9FD83C||8802|*/
                    function(success) { // success callback
                        /*|button_mapping|onsuccess|AF904D75-BA55-DB6A-122D-62325E9FD83C||7827|*/
                        $scope.stopLoading();
                        localStorage.setItem("companyData", JSON.stringify($scope.empresa));
                    },
                    function(error) { // callback to handle request error
                        $scope.stopLoading();
                        $scope.mAlert("Hubo errores al actualizar la información: " + error.data.code + " " + error.data.description);
                    },
                    function(notify) { // notify callback, can fire few times
                    });
            };
        }
    });